Bug 202118 - net-p2p/qbittorrent
Summary: net-p2p/qbittorrent
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-06 01:47 UTC by Dana
Modified: 2015-12-05 09:17 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dana 2015-08-06 01:47:14 UTC
PC-BSD / FreeBSD 10.2RC1.  qbittorrent v3.2.0

FreeBSD xeon 10.1-RELEASE-p26 FreeBSD 10.1-RELEASE-p26 #0: Tue Jul 28 22:55:17 UTC 2015     root@amd64-builder.pcbsd.org:/usr/obj/usr/src/sys/GENERIC  amd64


Catching SIGSEGV, please report a bug at http://bug.qbittorrent.org
and provide the following backtrace:
qBittorrent version: v3.2.0
stack trace:
  0x803a0647a <_swapcontext+0x15a> at /lib/libthr.so.3
  0x803a06062 <sigaction+0x342> at /lib/libthr.so.3
Segmentation fault
Comment 1 commit-hook freebsd_committer 2015-08-19 04:09:23 UTC
A commit references this bug:

Author: mi
Date: Wed Aug 19 04:09:04 UTC 2015
New revision: 394700
URL: https://svnweb.freebsd.org/changeset/ports/394700

Log:
  Upgrade libtorrent-rasterbar to 1.0.6 and qbittorrent -- to 3.2.3.

  PR:		202118 (maybe)

Changes:
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/libtorrent-rasterbar/distinfo
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/qbittorrent/distinfo
  head/net-p2p/qbittorrent/files/patch-configure
Comment 2 Mikhail T. 2015-08-19 04:22:33 UTC
Dana, please, check, whether you still have the problem with the new version of qbittorrent (3.2.3) -- the libtorrent-rasterbar needs to be upgraded to 1.0.6 as well.
Comment 3 Martin Wilke freebsd_committer 2015-12-05 09:15:40 UTC
There was no feedback from the submitter since 3 months +
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-05 09:17:48 UTC
Was originally fixed in r394700 as per comment 1:

* Update resolution to suit (FIXED)
* Assign to committer that resolved